Bug 836541 - Drools won't get into the Maven Enterprise Repository (Project Wolf) unless mvel 2.1.0.Final is released
Drools won't get into the Maven Enterprise Repository (Project Wolf) unless m...
Status: MODIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Fusco
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 08:43 EDT by Geoffrey De Smet
Modified: 2013-03-07 10:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2012-06-29 08:43:05 EDT
Sooner (rather then later), a BRMS version will need to go into the customer Maven Enterprise Repository (Project Wolf). This will probably happen some time after the release, when it's impossible to change the release.

BRMS 5.3 probably can't get into Wolf because of mvel, see below for details. Unless we fix this, future versions will have the same problem.



Sooner or later, the droolsjbpm artifacts and all of their dependencies
will have to be deployed to the JBoss Maven Enterprise Repository (AKA project Wolf).
And it's far more stricter then the JBoss Maven Community Repository.
From the mail of team wolf:
> Without this review and approval your
> Maven artifacts must not be released publically nor be permitted into
> the hosted Maven Enterprise Repository.
I doubt if our mvel version names of "2.1.0.drools8", "2.1.0.drools9", ... will pass,
preventing all of droolsjbpm to be deployed to Wolf.

One solution is to release mvel "2.1.0.Final", "2.1.1.Final", ... for drools 5.5.x
so it follows the pattern major.minor.micro.[Alpha[n]|Beta[n]|CR[n]|Final], outlined here:
  https://community.jboss.org/wiki/JBossProjectVersioning
Comment 1 Geoffrey De Smet 2013-03-05 08:39:17 EST
Reassign to the guvnor team, now that I am working full time on planner. So these issues aren't forgotten.
Comment 2 manstis 2013-03-07 04:33:46 EST
Reassigning to Mario who looks after MVEL.
Comment 3 Mario Fusco 2013-03-07 10:31:01 EST
All the mvel releases are now named "2.1.x.Final".
The last one I deployed (a few weeks ago) is the 2.1.4.Final.

Note You need to log in before you can comment on or make changes to this bug.